Bug 171079 - graphics/rawtherapee hangs x11
Summary: graphics/rawtherapee hangs x11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-26 08:40 UTC by rotkap
Modified: 2013-06-15 19:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rotkap 2012-08-26 08:40:01 UTC
my rawtherapee hangs a lot

I have no idea, if it came with the new version 4.0.9 on august, 8th or if it came since there where some new ports related to rawtherapee (graphic und x11 stuff), after the august, 8th (gtkmm? atkmm?..).

See here: 

http://rotkap.tsdh.org/RT-hangup1.png
http://rotkap.tsdh.org/RT-hangup2.png


- It's freezing the x11 window refreshing
- Sometimes it makes wrong scrollbars, that I cannot scrol down (inside RT)
- Another time rawtherapee has problems to finish "demosaicing" an image

All this strange behavior I did not have bofore.
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-02-26 18:59:23 UTC
State Changed
From-To: open->feedback

Hello Heino, is this still the case?
Comment 2 R.Mahmatkhanov 2013-02-26 19:14:46 UTC
Heino Tiedemann wrote on 26.02.2013 23:10:
> rm@FreeBSD.org wrote:
>
>> Synopsis: graphics/rawtherapee hangs x11
>>
>> State-Changed-From-To: open->feedback
>> State-Changed-By: rm
>> State-Changed-When: Tue Feb 26 18:59:23 UTC 2013
>> State-Changed-Why:
>> Hello Heino, is this still the case?
>>
>> http://www.freebsd.org/cgi/query-pr.cgi?pr=171079
>
>
> Yes, but...
>
>
> I think it is of my 32bit architecture.
>
> The projekt web-page of Rawtherapee is warnig aobut 32 bit system. It
> says rawtherapee is using _a lot_ of memory. So maybe that is the
> reason
>
> http://rawtherapee.com/blog/maximizing-memory-efficiency
>
>
> In most cases I can close it und re-run it. Cost plenty of time, but
> works.
>
> Heino

Thanks for reply. So you aren't able to check on amd64 to make sure it's 
platform-specific? I can test it on amd64 with 4GB RAM if you instruct 
me what exactly I should do. If it's ok, we can close that pr, because 
it's not FreeBSD-specific.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 3 Yahor Shybeka 2013-03-08 21:46:53 UTC
Hi,

I'm using amd64, and rawtherapee crashed pretty often. It looked like
the problem was somehow connected with OpenMP and GCC 4.2.1. Though I
didn't try rawtherapee without OpenMP, but I've recompiled it using
USE_GCC= 4.6+ and I've remapped GCC libraries in /etc/libmap.conf:

libgcc_s.so.1   gcc46/libgcc_s.so.1
libgomp.so.1    gcc46/libgomp.so.1
libobjc.so.3    gcc46/libobjc.so.2
libssp.so.0     gcc46/libssp.so.0
libstdc++.so.6  gcc46/libstdc++.so.6


Looks like it works normally now.

-- 
Thanks,
Yahor
Comment 4 Matthias Andree freebsd_committer 2013-06-15 17:28:28 UTC
State Changed
From-To: feedback->open

Take PR; make open (feedback received). 


Comment 5 Matthias Andree freebsd_committer 2013-06-15 17:28:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mandree

Take PR; make open (feedback received).
Comment 6 Matthias Andree freebsd_committer 2013-06-15 18:52:27 UTC
State Changed
From-To: open->closed

I am in the process of updating to 4.0.11 which will rely on GCC and set 
and maintain the proper rpath for libgomp and others, so that your 
problems with outdated base gomp should be solved by then. See 
ports/178206 for details on how I will be doing it.
Comment 7 dfilter service freebsd_committer 2013-06-15 19:01:15 UTC
Author: mandree
Date: Sat Jun 15 18:01:05 2013
New Revision: 321008
URL: http://svnweb.freebsd.org/changeset/ports/321008

Log:
  Update to Rawtherapee 4.0.11. New features, faster, requires GCC 4.6+.
  
  This should fix the issues mentioned in the PRs given below,
  in particular, it should do away with the need for libmap.conf hacks
  for libgcc_s, libgomp, libobjc, libssp, libstdc++.
  (the Makefile as I took it already set the linker's -rpath, and
  patch-CMakeLists.txt ensures CMake keeps it during "make install").
  
  ChangeLog 4.0.10: http://rawtherapee.com/blog/rawtherapee-4.0.10-released
  
  ChangeLog 4.0.11: http://rawtherapee.com/blog/rawtherapee-4.0.11-released
  
  PR:		ports/171079
  PR:		ports/178206

Modified:
  head/graphics/rawtherapee/Makefile
  head/graphics/rawtherapee/distinfo   (contents, props changed)
  head/graphics/rawtherapee/files/patch-AboutThisBuild.cmake
  head/graphics/rawtherapee/files/patch-CMakeLists.txt   (contents, props changed)
  head/graphics/rawtherapee/pkg-plist   (contents, props changed)

Modified: head/graphics/rawtherapee/Makefile
==============================================================================
--- head/graphics/rawtherapee/Makefile	Sat Jun 15 17:21:40 2013	(r321007)
+++ head/graphics/rawtherapee/Makefile	Sat Jun 15 18:01:05 2013	(r321008)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	rawtherapee
-PORTVERSION=	4.0.9
+PORTVERSION=	4.0.11
 CATEGORIES=	graphics
 MASTER_SITES=	GOOGLE_CODE
 
@@ -24,6 +24,8 @@ MAKE_JOBS_SAFE=	yes
 USE_XZ=		yes
 USE_GNOME=	gtk20 glib20
 USE_LDCONFIG=	yes
+# base GCC and clang in 9.1-RELEASE are insufficient:
+USE_GCC=	4.6+
 CFLAGS+=	-I${LOCALBASE}/include -fPIC ${PTHREAD_CFLAGS}
 CXXFLAGS+=	-I${LOCALBASE}/include -fPIC ${PTHREAD_CFLAGS}
 LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
@@ -39,6 +41,7 @@ CMAKE_ARGS+=	-DDOCDIR="${DOCSDIR}" \
 SUB_FILES=	rawtherapee
 SUB_LIST=	RTDIR="${RTDIR}"
 INSTALLS_ICONS=	yes
+MAN1=		rawtherapee.1
 
 RTDIR=		${PREFIX}/libdata/${PORTNAME}
 
@@ -50,6 +53,8 @@ post-patch:
 	@${REINPLACE_CMD} -e 's#<auto_ptr.h>#<memory>#g' \
 		${WRKSRC}/rtgui/darkframe.h ${WRKSRC}/rtgui/flatfield.h \
 		${WRKSRC}/rtgui/icmpanel.h
+	@${REINPLACE_CMD} -e 's#DESTINATION "$${CMAKE_INSTALL_PREFIX}/share/man/man1"#DESTINATION "${MANPREFIX}/man/man1/"#' \
+		${WRKSRC}/CMakeLists.txt
 
 .include <bsd.port.pre.mk>
 

Modified: head/graphics/rawtherapee/distinfo
==============================================================================
--- head/graphics/rawtherapee/distinfo	Sat Jun 15 17:21:40 2013	(r321007)
+++ head/graphics/rawtherapee/distinfo	Sat Jun 15 18:01:05 2013	(r321008)
@@ -1,2 +1,2 @@
-SHA256 (rawtherapee-4.0.9.tar.xz) = 4ad49b5d3aae9a178b1cfa5efca653982f0a52763ddd37f89500e8fedfb187d2
-SIZE (rawtherapee-4.0.9.tar.xz) = 40201920
+SHA256 (rawtherapee-4.0.11.tar.xz) = 40401495ea5a693b9649f9b4fb101953cbaf6bc5fe01b81dd2ab30531afe567b
+SIZE (rawtherapee-4.0.11.tar.xz) = 14828520

Modified: head/graphics/rawtherapee/files/patch-AboutThisBuild.cmake
==============================================================================
--- head/graphics/rawtherapee/files/patch-AboutThisBuild.cmake	Sat Jun 15 17:21:40 2013	(r321007)
+++ head/graphics/rawtherapee/files/patch-AboutThisBuild.cmake	Sat Jun 15 18:01:05 2013	(r321008)
@@ -1,31 +1,27 @@
---- ./AboutThisBuild.cmake.orig	2012-06-03 19:56:20.000000000 +0400
-+++ ./AboutThisBuild.cmake	2012-08-07 15:18:18.000000000 +0400
-@@ -8,28 +8,9 @@
-   find_file(HG_CMD hg)
-   set (SHELL "/bin/bash")
- else (WIN32) # Linux
--  find_file(HG_CMD hg)
-   set (SHELL "/bin/bash")
- endif (WIN32)
+--- ./AboutThisBuild.cmake.orig	2013-05-29 16:29:36.000000000 +0200
++++ ./AboutThisBuild.cmake	2013-06-15 19:16:41.000000000 +0200
+@@ -11,24 +11,9 @@
+     find_file(HG_CMD hg)
+     set (SHELL "/bin/bash")
+   else (WIN32) # Linux
+-    find_file(HG_CMD hg)
+     set (SHELL "/bin/bash")
+   endif (WIN32)
  
--# the hg command is looked for again, at build time
--if (HG_CMD STREQUAL HG_CMD-NOTFOUND)
--  message(FATAL_ERROR "hg command not found!")
--else (HG_CMD STREQUAL HG_CMD-NOTFOUND)
--  message(STATUS "hg command found: ${HG_CMD}")
--endif (HG_CMD STREQUAL HG_CMD-NOTFOUND)
+-  # Fail if Mercurial is not installed
+-  if (HG_CMD STREQUAL HG_CMD-NOTFOUND)
+-    message(FATAL_ERROR "hg command not found!")
+-  else (HG_CMD STREQUAL HG_CMD-NOTFOUND)
+-    message(STATUS "hg command found: ${HG_CMD}")
+-  endif (HG_CMD STREQUAL HG_CMD-NOTFOUND)
 -
--set (OUT_FILE "${SRC_DIR}/AboutThisBuild.txt")
--# there should be a better way of getting the compiler + compiler version, not restrained to Gcc
--execute_process(COMMAND gcc -dumpversion OUTPUT_VARIABLE GCC_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
--execute_process(COMMAND ${HG_CMD} -R ${SRC_DIR} branch OUTPUT_VARIABLE HG_BRANCH OUTPUT_STRIP_TRAILING_WHITESPACE)
--execute_process(COMMAND ${HG_CMD} parents --template={latesttag}.{latesttagdistance} WORKING_DIRECTORY ${SRC_DIR} OUTPUT_VARIABLE HG_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
--execute_process(COMMAND ${HG_CMD} parents --template={node|short} WORKING_DIRECTORY ${SRC_DIR} OUTPUT_VARIABLE HG_CHANGESET OUTPUT_STRIP_TRAILING_WHITESPACE)
--execute_process(COMMAND ${HG_CMD} parents --template={latesttagdistance} WORKING_DIRECTORY ${SRC_DIR} OUTPUT_VARIABLE HG_TAGDISTANCE OUTPUT_STRIP_TRAILING_WHITESPACE)
--if (CACHE_NAME_SUFFIX STREQUAL "")
--  execute_process(COMMAND ${HG_CMD} parents --template={latesttag} WORKING_DIRECTORY ${SRC_DIR} OUTPUT_VARIABLE CACHE_NAME_SUFFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
--endif ()
--
- # build version.h from template
- configure_file (${SRC_DIR}/rtgui/version.h.in ${SRC_DIR}/rtgui/version.h)
- # build AboutThisBuild.txt from template
+-  execute_process(COMMAND ${HG_CMD} -R "${PROJECT_SOURCE_DIR}" branch OUTPUT_VARIABLE HG_BRANCH OUTPUT_STRIP_TRAILING_WHITESPACE)
+-  execute_process(COMMAND ${HG_CMD} -R "${PROJECT_SOURCE_DIR}" parents --template={latesttag}.{latesttagdistance} WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}" OUTPUT_VARIABLE HG_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
+-  execute_process(COMMAND ${HG_CMD} -R "${PROJECT_SOURCE_DIR}" parents --template={node|short} WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}" OUTPUT_VARIABLE HG_CHANGESET OUTPUT_STRIP_TRAILING_WHITESPACE)
+-  execute_process(COMMAND ${HG_CMD} -R "${PROJECT_SOURCE_DIR}" parents --template={latesttagdistance} WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}" OUTPUT_VARIABLE HG_TAGDISTANCE OUTPUT_STRIP_TRAILING_WHITESPACE)
+-  if (CACHE_NAME_SUFFIX STREQUAL "")
+-    execute_process(COMMAND ${HG_CMD} -R "${PROJECT_SOURCE_DIR}" parents --template={latesttag} WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}" OUTPUT_VARIABLE CACHE_NAME_SUFFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
+-  endif (CACHE_NAME_SUFFIX STREQUAL "")
+ else (REL_INFO_FILE STREQUAL REL_INFO_FILE-NOTFOUND)
+   include("${PROJECT_SOURCE_DIR}/ReleaseInfo.cmake")
+ endif (REL_INFO_FILE STREQUAL REL_INFO_FILE-NOTFOUND)

Modified: head/graphics/rawtherapee/files/patch-CMakeLists.txt
==============================================================================
--- head/graphics/rawtherapee/files/patch-CMakeLists.txt	Sat Jun 15 17:21:40 2013	(r321007)
+++ head/graphics/rawtherapee/files/patch-CMakeLists.txt	Sat Jun 15 18:01:05 2013	(r321008)
@@ -1,37 +1,13 @@
---- ./CMakeLists.txt.orig	2012-01-31 05:00:05.000000000 +0400
-+++ ./CMakeLists.txt	2012-03-29 19:28:04.000000000 +0400
-@@ -230,7 +230,6 @@
-               -P ${CMAKE_CURRENT_SOURCE_DIR}/About-Windows.cmake
-       COMMENT "Creating the about file"
-     )
--    find_file(HG_CMD hg.exe HINTS ENV Path PATH_SUFFIXES ../)
- 
-   elseif (APPLE)
-  
-@@ -250,7 +249,6 @@
-               -P ${CMAKE_CURRENT_SOURCE_DIR}/About-Apple.cmake
-       COMMENT "Creating the about file"
-     )
--    find_file(HG_CMD hg PATHS "/opt/local/bin" "/usr/local/bin" "/usr/bin")
-     find_file(HG_CMD hg)
- 
-   else (WIN32)
-@@ -271,18 +269,11 @@
-               -P ${CMAKE_CURRENT_SOURCE_DIR}/About-Linux.cmake
-       COMMENT "Creating the about file"
-     )
--    find_file(HG_CMD hg)
- 
-   endif (WIN32)
-  
-   add_dependencies(AboutFile Debug Release MinSizeRel RelWithDebInfo)
- 
--  if (HG_CMD STREQUAL HG_CMD-NOTFOUND)
--    message(FATAL_ERROR "hg command not found!")
--  else (HG_CMD STREQUAL HG_CMD-NOTFOUND)
--    message(STATUS "hg command found: ${HG_CMD}")
--  endif (HG_CMD STREQUAL HG_CMD-NOTFOUND)
--
- endif (AUTOMATED_BUILD_SYSTEM)
+# This is required so that the RPATH information for libgcc/libgomp is
+# not stripped during CMake's install phase: -- mandree
+
+--- ./CMakeLists.txt.orig	2013-06-15 19:16:41.000000000 +0200
++++ ./CMakeLists.txt	2013-06-15 19:17:02.000000000 +0200
+@@ -6,6 +6,7 @@
+ endif (WIN32)
  
+ PROJECT(RawTherapee)
++SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
  
+ # the default target is 'Debug'
+ if (CMAKE_BUILD_TYPE STREQUAL "")

Modified: head/graphics/rawtherapee/pkg-plist
==============================================================================
--- head/graphics/rawtherapee/pkg-plist	Sat Jun 15 17:21:40 2013	(r321007)
+++ head/graphics/rawtherapee/pkg-plist	Sat Jun 15 18:01:05 2013	(r321008)
@@ -15,6 +15,7 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/dcpprofiles/Canon EOS 40D.dcp
 %%DATADIR%%/dcpprofiles/Canon EOS 450D.dcp
 %%DATADIR%%/dcpprofiles/Canon EOS 550D.dcp
+%%DATADIR%%/dcpprofiles/Canon EOS 5D Mark III.dcp
 %%DATADIR%%/dcpprofiles/Canon EOS 5D.dcp
 %%DATADIR%%/dcpprofiles/Canon EOS 7D.dcp
 %%DATADIR%%/dcpprofiles/Canon EOS D60.dcp
@@ -24,6 +25,7 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/dcpprofiles/Canon EOS-1D Mark III.dcp
 %%DATADIR%%/dcpprofiles/Canon PowerShot G10.dcp
 %%DATADIR%%/dcpprofiles/Canon PowerShot G12.dcp
+%%DATADIR%%/dcpprofiles/Leaf Aptus 75.dcp
 %%DATADIR%%/dcpprofiles/Nikon D200.dcp
 %%DATADIR%%/dcpprofiles/Nikon D300.dcp
 %%DATADIR%%/dcpprofiles/Nikon D3000.dcp
@@ -33,13 +35,19 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/dcpprofiles/Nikon D5100.dcp
 %%DATADIR%%/dcpprofiles/Nikon D700.dcp
 %%DATADIR%%/dcpprofiles/Nikon D7000.dcp
+%%DATADIR%%/dcpprofiles/Nikon D800.dcp
 %%DATADIR%%/dcpprofiles/Olympus E-1.dcp
+%%DATADIR%%/dcpprofiles/Olympus E-510.dcp
+%%DATADIR%%/dcpprofiles/Olympus E-520.dcp
+%%DATADIR%%/dcpprofiles/Olympus E-M5.dcp
 %%DATADIR%%/dcpprofiles/Olympus E-P2.dcp
+%%DATADIR%%/dcpprofiles/Olympus XZ-1.dcp
 %%DATADIR%%/dcpprofiles/Panasonic DMC-FZ150.dcp
 %%DATADIR%%/dcpprofiles/Panasonic DMC-FZ35.dcp
 %%DATADIR%%/dcpprofiles/Panasonic DMC-FZ38.dcp
 %%DATADIR%%/dcpprofiles/Panasonic DMC-G1.dcp
 %%DATADIR%%/dcpprofiles/Panasonic DMC-G3.dcp
+%%DATADIR%%/dcpprofiles/Panasonic DMC-G5.dcp
 %%DATADIR%%/dcpprofiles/Panasonic DMC-GH1.dcp
 %%DATADIR%%/dcpprofiles/Panasonic DMC-GH2.dcp
 %%DATADIR%%/dcpprofiles/Pentax K10D.dcp
@@ -92,10 +100,6 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Chanmixer-RB.png
 %%DATADIR%%/images/Chanmixer-RG.png
 %%DATADIR%%/images/Chanmixer-RR.png
-%%DATADIR%%/images/Dark/.gtk-undo-ltr-small.png
-%%DATADIR%%/images/Dark/.gtk-undo-ltr.png
-%%DATADIR%%/images/Dark/.gtk-undo-rtl-small.png
-%%DATADIR%%/images/Dark/.gtk-undo-rtl.png
 %%DATADIR%%/images/Dark/actions/PanelEnding.png
 %%DATADIR%%/images/Dark/actions/beforeafter.png
 %%DATADIR%%/images/Dark/actions/cglabel0.png
@@ -174,6 +178,10 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Dark/actions/histBarg.png
 %%DATADIR%%/images/Dark/actions/histBlue.png
 %%DATADIR%%/images/Dark/actions/histBlueg.png
+%%DATADIR%%/images/Dark/actions/histChro.png
+%%DATADIR%%/images/Dark/actions/histChrog.png
+%%DATADIR%%/images/Dark/actions/histFull.png
+%%DATADIR%%/images/Dark/actions/histFullg.png
 %%DATADIR%%/images/Dark/actions/histGreen.png
 %%DATADIR%%/images/Dark/actions/histGreeng.png
 %%DATADIR%%/images/Dark/actions/histRaw.png
@@ -192,6 +200,9 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Dark/actions/lock-on.png
 %%DATADIR%%/images/Dark/actions/media-usb.png
 %%DATADIR%%/images/Dark/actions/meta.png
+%%DATADIR%%/images/Dark/actions/nav-next.png
+%%DATADIR%%/images/Dark/actions/nav-prev.png
+%%DATADIR%%/images/Dark/actions/nav-sync.png
 %%DATADIR%%/images/Dark/actions/new-detail-window.png
 %%DATADIR%%/images/Dark/actions/openhand.png
 %%DATADIR%%/images/Dark/actions/panel-to-bottom.png
@@ -201,6 +212,12 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Dark/actions/popuparrow.png
 %%DATADIR%%/images/Dark/actions/previewmodeB-off.png
 %%DATADIR%%/images/Dark/actions/previewmodeB-on.png
+%%DATADIR%%/images/Dark/actions/previewmodeBC0-off.png
+%%DATADIR%%/images/Dark/actions/previewmodeBC0-on.png
+%%DATADIR%%/images/Dark/actions/previewmodeBC1-off.png
+%%DATADIR%%/images/Dark/actions/previewmodeBC1-on.png
+%%DATADIR%%/images/Dark/actions/previewmodeBC2-off.png
+%%DATADIR%%/images/Dark/actions/previewmodeBC2-on.png
 %%DATADIR%%/images/Dark/actions/previewmodeF-off.png
 %%DATADIR%%/images/Dark/actions/previewmodeF-on.png
 %%DATADIR%%/images/Dark/actions/previewmodeG-off.png
@@ -213,6 +230,8 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Dark/actions/processing-play.png
 %%DATADIR%%/images/Dark/actions/processing-thumbnail.png
 %%DATADIR%%/images/Dark/actions/processing.png
+%%DATADIR%%/images/Dark/actions/profile-filled.png
+%%DATADIR%%/images/Dark/actions/profile-partial.png
 %%DATADIR%%/images/Dark/actions/rated.png
 %%DATADIR%%/images/Dark/actions/ratednot.png
 %%DATADIR%%/images/Dark/actions/ratednotg.png
@@ -266,10 +285,6 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Dark/places/gtk-directory.png
 %%DATADIR%%/images/Dark/places/user-desktop.png
 %%DATADIR%%/images/Dark/places/user-home.png
-%%DATADIR%%/images/Light/.gtk-undo-ltr-small.png
-%%DATADIR%%/images/Light/.gtk-undo-ltr.png
-%%DATADIR%%/images/Light/.gtk-undo-rtl-small.png
-%%DATADIR%%/images/Light/.gtk-undo-rtl.png
 %%DATADIR%%/images/Light/actions/PanelEnding.png
 %%DATADIR%%/images/Light/actions/beforeafter.png
 %%DATADIR%%/images/Light/actions/cglabel0.png
@@ -348,6 +363,10 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Light/actions/histBarg.png
 %%DATADIR%%/images/Light/actions/histBlue.png
 %%DATADIR%%/images/Light/actions/histBlueg.png
+%%DATADIR%%/images/Light/actions/histChro.png
+%%DATADIR%%/images/Light/actions/histChrog.png
+%%DATADIR%%/images/Light/actions/histFull.png
+%%DATADIR%%/images/Light/actions/histFullg.png
 %%DATADIR%%/images/Light/actions/histGreen.png
 %%DATADIR%%/images/Light/actions/histGreeng.png
 %%DATADIR%%/images/Light/actions/histRaw.png
@@ -366,6 +385,9 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Light/actions/lock-on.png
 %%DATADIR%%/images/Light/actions/media-usb.png
 %%DATADIR%%/images/Light/actions/meta.png
+%%DATADIR%%/images/Light/actions/nav-next.png
+%%DATADIR%%/images/Light/actions/nav-prev.png
+%%DATADIR%%/images/Light/actions/nav-sync.png
 %%DATADIR%%/images/Light/actions/new-detail-window.png
 %%DATADIR%%/images/Light/actions/openhand.png
 %%DATADIR%%/images/Light/actions/panel-to-bottom.png
@@ -375,6 +397,12 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Light/actions/popuparrow.png
 %%DATADIR%%/images/Light/actions/previewmodeB-off.png
 %%DATADIR%%/images/Light/actions/previewmodeB-on.png
+%%DATADIR%%/images/Light/actions/previewmodeBC0-off.png
+%%DATADIR%%/images/Light/actions/previewmodeBC0-on.png
+%%DATADIR%%/images/Light/actions/previewmodeBC1-off.png
+%%DATADIR%%/images/Light/actions/previewmodeBC1-on.png
+%%DATADIR%%/images/Light/actions/previewmodeBC2-off.png
+%%DATADIR%%/images/Light/actions/previewmodeBC2-on.png
 %%DATADIR%%/images/Light/actions/previewmodeF-off.png
 %%DATADIR%%/images/Light/actions/previewmodeF-on.png
 %%DATADIR%%/images/Light/actions/previewmodeG-off.png
@@ -387,6 +415,8 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/images/Light/actions/processing-play.png
 %%DATADIR%%/images/Light/actions/processing-thumbnail.png
 %%DATADIR%%/images/Light/actions/processing.png
+%%DATADIR%%/images/Light/actions/profile-filled.png
+%%DATADIR%%/images/Light/actions/profile-partial.png
 %%DATADIR%%/images/Light/actions/rated.png
 %%DATADIR%%/images/Light/actions/ratednot.png
 %%DATADIR%%/images/Light/actions/ratednotg.png
@@ -567,13 +597,14 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/languages/Czech
 %%DATADIR%%/languages/Dansk
 %%DATADIR%%/languages/Deutsch
-%%DATADIR%%/languages/English
+%%DATADIR%%/languages/English (UK)
+%%DATADIR%%/languages/English (US)
 %%DATADIR%%/languages/Espanol
 %%DATADIR%%/languages/Euskara
 %%DATADIR%%/languages/Francais
 %%DATADIR%%/languages/Greek
 %%DATADIR%%/languages/Hebrew
-%%DATADIR%%/languages/Italian
+%%DATADIR%%/languages/Italiano
 %%DATADIR%%/languages/Japanese
 %%DATADIR%%/languages/LICENSE
 %%DATADIR%%/languages/Latvian
@@ -593,19 +624,70 @@ share/icons/hicolor/48x48/apps/rawtherap
 %%DATADIR%%/languages/Turkish
 %%DATADIR%%/languages/default
 %%DATADIR%%/options
-%%DATADIR%%/profiles/BW-1.pp3
-%%DATADIR%%/profiles/BW-2.pp3
-%%DATADIR%%/profiles/BW-3.pp3
-%%DATADIR%%/profiles/BW-4.pp3
-%%DATADIR%%/profiles/Default-ISO-High.pp3
-%%DATADIR%%/profiles/Default-ISO-Medium.pp3
+%%DATADIR%%/profiles/BW 1.pp3
+%%DATADIR%%/profiles/BW 2.pp3
+%%DATADIR%%/profiles/BW 3.pp3
+%%DATADIR%%/profiles/BW 4.pp3
+%%DATADIR%%/profiles/Deep Shadows.pp3
+%%DATADIR%%/profiles/Default ISO High.pp3
+%%DATADIR%%/profiles/Default ISO Medium.pp3
 %%DATADIR%%/profiles/Default.pp3
-%%DATADIR%%/profiles/Highkey-1.pp3
-%%DATADIR%%/profiles/Natural-1.pp3
-%%DATADIR%%/profiles/Natural-2.pp3
+%%DATADIR%%/profiles/Equilibrated.pp3
+%%DATADIR%%/profiles/Faded Amber 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded Amber 1 TM.pp3
+%%DATADIR%%/profiles/Faded Amber 1.pp3
+%%DATADIR%%/profiles/Faded Blue 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded Blue 1 TM.pp3
+%%DATADIR%%/profiles/Faded Blue 1.pp3
+%%DATADIR%%/profiles/Faded Blue Pink TM.pp3
+%%DATADIR%%/profiles/Faded Blue Pink.pp3
+%%DATADIR%%/profiles/Faded Chocolate 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded Chocolate 2 TM Bright.pp3
+%%DATADIR%%/profiles/Faded Golden 1.pp3
+%%DATADIR%%/profiles/Faded Golden 2.pp3
+%%DATADIR%%/profiles/Faded Green 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded Green 1 TM.pp3
+%%DATADIR%%/profiles/Faded Green 1.pp3
+%%DATADIR%%/profiles/Faded Green 2.pp3
+%%DATADIR%%/profiles/Faded Green 3.pp3
+%%DATADIR%%/profiles/Faded Neutral TM.pp3
+%%DATADIR%%/profiles/Faded Neutral.pp3
+%%DATADIR%%/profiles/Faded Purple 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded Purple 1 TM.pp3
+%%DATADIR%%/profiles/Faded Purple 1.pp3
+%%DATADIR%%/profiles/Faded Purple 2 TM.pp3
+%%DATADIR%%/profiles/Faded Purple 2.pp3
+%%DATADIR%%/profiles/Faded Teal Orange TM Bright.pp3
+%%DATADIR%%/profiles/Faded Teal Orange TM.pp3
+%%DATADIR%%/profiles/Faded Teal Orange.pp3
+%%DATADIR%%/profiles/Faded Warm 1 TM Bright.pp3
+%%DATADIR%%/profiles/Faded Warm 1 TM.pp3
+%%DATADIR%%/profiles/Faded Warm 1.pp3
+%%DATADIR%%/profiles/Faded Warm 2.pp3
+%%DATADIR%%/profiles/Faded Warm 3.pp3
+%%DATADIR%%/profiles/High-Key.pp3
+%%DATADIR%%/profiles/Natural 1.pp3
+%%DATADIR%%/profiles/Natural 2.pp3
 %%DATADIR%%/profiles/Neutral.pp3
-%%DATADIR%%/profiles/Punchy-1.pp3
-%%DATADIR%%/profiles/Punchy-2.pp3
+%%DATADIR%%/profiles/Pop 1.pp3
+%%DATADIR%%/profiles/Pop 2 L.pp3
+%%DATADIR%%/profiles/Pop 3 Skin.pp3
+%%DATADIR%%/profiles/Pop 4 BW.pp3
+%%DATADIR%%/profiles/Portrait Lejto.pp3
+%%DATADIR%%/profiles/Portrait Smooth.pp3
+%%DATADIR%%/profiles/Punchy 1.pp3
+%%DATADIR%%/profiles/Punchy 2.pp3
+%%DATADIR%%/profiles/Skintones - Natural TM.pp3
+%%DATADIR%%/profiles/Skintones - Natural.pp3
+%%DATADIR%%/profiles/Skintones - Pale TM Bright.pp3
+%%DATADIR%%/profiles/Skintones - Pale TM.pp3
+%%DATADIR%%/profiles/Skintones - Pale.pp3
+%%DATADIR%%/profiles/Skintones - Soft Texture.pp3
+%%DATADIR%%/profiles/Skintones - Strong Texture.pp3
+%%DATADIR%%/profiles/Skintones - Studio TM.pp3
+%%DATADIR%%/profiles/Skintones - Studio.pp3
+%%DATADIR%%/profiles/Skintones - StudioBase 1 TM.pp3
+%%DATADIR%%/profiles/Skintones - StudioBase 1.pp3
 %%DATADIR%%/sounds/BatchComplete.wav
 %%DATADIR%%/sounds/Empty.wav
 %%DATADIR%%/sounds/ProcessComplete.wav
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"